<%@page import="java.util.*,
                java.text.*,
                java.io.*,
                blackboard.platform.plugin.*,
                com.webassign.Props"
        errorPage="/error.jsp"
%>


<%@ taglib uri="/bbData" prefix="bbData"%>
<%@ taglib uri="/bbUI" prefix="bbUI"%>

<bbData:context id="ctx">

<%
	File configDir = PlugInUtil.getConfigDirectory(com.webassign.Props.vid(),com.webassign.Props.handle());
	File configFile = new File(configDir,com.webassign.Props.propFileName());
	com.webassign.Props waprops = new com.webassign.Props(configFile);
	String institutionCode = waprops.getProp("institution.code");
%>

<bbUI:docTemplate title="WebAssignInstitution">

<bbUI:breadcrumbBar handle="admin_plugin_manage">
    <bbUI:breadcrumb> WebAssign Institution Code</bbUI:breadcrumb>
</bbUI:breadcrumbBar>

<bbUI:titleBar iconUrl="/images/ci/icons/tools_u.gif">WebAssign Institution Code</bbUI:titleBar>

<form method="post" action="properties.jsp">

<bbUI:step title="Enter Institution Code" number="1">
    <bbUI:instructions>
	Please enter your WebAssign Institution Code. If you do not know your code, you can search
	for it at <a href="http://www.webassign.net/info/institution.html">http://www.webassign.net/info/institution.html</a>.
	Please contact <a href="mailto:support@webassign.net?subject=Institution%20Code%20for%20Blackboard%20Extension">support@webassign.net</a>
	if you have any questions. Click Submit to save your WebAssign Institution Code to your Blackboard system.
    </bbUI:instructions>
	<bbUI:dataElement label="Institution Code" required="true">
    <input type="text" name="institutionCode" value="<%=institutionCode%>">
    </bbUI:dataElement>
</bbUI:step>

<bbUI:stepSubmit title="Submit" number="2" />

</form>

</bbUI:docTemplate>
</bbData:context>
