<%@page import="java.io.*,
                blackboard.platform.plugin.*,
                com.webassign.Props"
        errorPage="/error.jsp"
%>
<%@taglib uri="/bbData" prefix="bbData"%>
<%@taglib uri="/bbUI" prefix="bbUI"%>

<bbData:context id="ctx">
<%
	String wavid = com.webassign.Props.vid();
	String wahandle = com.webassign.Props.handle();

	File configDir = PlugInUtil.getConfigDirectory(wavid,wahandle);
	File configFile = new File(configDir,com.webassign.Props.propFileName());
	com.webassign.Props waprops = new com.webassign.Props(configFile);
	String institution = waprops.getProp("institution.code");
	String loginURI = PlugInUtil.getUri(wavid,wahandle,"login.jsp");
	String loginImg = PlugInUtil.getUri(wavid,wahandle,"images/login.gif");
%>
<% if (institution.length() > 0) { %>
<div align="center"><a href="<%=loginURI%>"><img src="<%=loginImg%>" border="0" alt="Login to WebAssign" title="Login to WebAssign" /></a></div>
<% } else { %>
A WebAssign Institution Code has not been assigned to your Blackboard system. Please
ask your Blackboard system administrator to enter your WebAssign Institution Code for your institution.
<% } %>
</bbData:context>
